import React from 'react';
import {
  KeyboardAvoidingView,
  Platform,
  SafeAreaView,
  StatusBar,
} from 'react-native';
import { TouchableOpacity } from 'react-native';
import {
  View,
  Text,
  TextInput,
  ImageBackground,
  StyleSheet,
} from 'react-native';

interface BioProps {
onChangeText:Function
  value: string,
  onPress:Function,
  buttonText:string
}

const Sandy: React.FC<BioProps> = (props): JSX.Element =>{
 
 

  return (
    <>
      <SafeAreaView style={{ flex: 1 }}>
        <StatusBar translucent backgroundColor={'blue'} barStyle="default" />
        <KeyboardAvoidingView
          behavior={Platform.OS == 'android' ? 'height' : 'padding'}
        >
          <ImageBackground
            source={require('./a.jpeg')}
            style={styles.backgroundImage}
          >
            <View
              style={[{
                alignSelf: 'center',
                width: '90%',

                height: 'auto',
                position: 'absolute',
                paddingBottom: 40,
                bottom: 10,
              }]}
            >
              <Text style={styles.title}>Login</Text>
              <View style={styles.inputContainer}>
                <TextInput
                  style={styles.input}
                  placeholder="Mobile Number"
                  onChangeText={()=>props.onChangeText}
                  value={props.value}
                  keyboardType="phone-pad"
                />
              </View>
              <TouchableOpacity
                onPress={()=>props.onPress}
                style={styles.buttonView}
              >
                <Text style={styles.buttonText}>
                  {props.buttonText ? props.buttonText : 'Continue'}
                </Text>
              </TouchableOpacity>
            </View>
          </ImageBackground>
        </KeyboardAvoidingView>
      </SafeAreaView>
    </>
  );
};

const styles = StyleSheet.create({
  backgroundImage: {
    height: '100%',
    width: '100%',
    alignSelf: 'center',
    // justifyContent:'center',
    resizeMode: 'cover',
    alignItems: 'center', // or 'stretch' for a different background image behavior
  },
  inputContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: 10,
  },

  buttonView: {
    height: 40,
    width: '100%',
    borderRadius: 10,
    backgroundColor: 'white',
    justifyContent: 'center',
  },
  buttonText: {
    textAlign: 'center',
    fontSize: 15,
    fontWeight: '600',
  },
  title: {
    fontSize: 30,
    color: 'white',
    marginBottom: 20,
  },
  input: {
    width: '100%',
    height: 40,
    backgroundColor: 'white',
    paddingLeft: 10,
    marginBottom: 10,
    borderRadius: 5,
  },
});

export default Sandy;
